classification
Title: IDLE: help() displays output on the wrong shell
Type: Stage:
Components: IDLE, Windows Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: kbk Nosy List: christian.heimes, kbk
Priority: normal Keywords:

Created on 2007-12-18 09:29 by christian.heimes, last changed 2007-12-28 03:59 by kbk. This issue is now closed.

Messages (3)
msg58732 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-18 09:29
On Python 3.0 IDLE shows the output of help() on the system shell that
started IDLE and not inside the IDLE window.
msg58979 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2007-12-24 03:34
Yes, and it does on linux, also.  Someone changed the way help() 
works.  Since the help listing is often extensive and clutters up the 
shell, I'm thinking that the best solution would be to pop up a new 
window.  I haven't got around to addressing either the bug or a new 
design.
msg59013 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2007-12-28 03:59
Fixed by overriding pydoc.py:pager to be plainpager.
r59603
History
Date User Action Args
2007-12-28 03:59:11kbksetstatus: open -> closed
resolution: fixed
messages: + msg59013
2007-12-24 03:34:18kbksetmessages: + msg58979
2007-12-18 09:29:29christian.heimescreate